Package twisted :: Package protocols :: Module portforward :: Class ProxyClient

[show private | hide private]
[frames | no frames]

## Class ProxyClient

    BaseProtocol --+
                   |
            Protocol --+
                       |
                   Proxy --+
                           |
                          ProxyClient

Method Summary
| ``connectionFailed`(self)` (Deprecated) (inherited from `Protocol`)
| ``connectionLost`(self, reason)` Called when the connection is shut down. (inherited from `Proxy`)
| ``connectionMade`(self)` Called when a connection is made.
| ``dataReceived`(self, data)` Called whenever data is received. (inherited from `Proxy`)
| ``makeConnection`(self, transport)` Make a connection to a transport and a server. (inherited from `BaseProtocol`)
| `setPeer(self, peer)` (inherited from `Proxy`)

Method Details

### connectionMade(self)

Called when a connection is made.

This may be considered the initializer of the protocol, because it is called when the connection is completed. For clients, this is called once the connection to the server has been established; for servers, this is called after an accept() call stops blocking and a socket has been received. If you need to send any greeting or initial message, do it here.

  Overrides:
    `twisted.internet.protocol.BaseProtocol.connectionMade` (inherited documentation)

Generated by Epydoc 1.1 on Thu May 8 13:18:54 2003 | http://epydoc.sf.net